#
# spec file for package python3-multidict
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-multidict
Version:        2.1.4
Release:        1.1
Summary:        Multidict implementation
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/aio-libs/multidict
Source:         https://files.pythonhosted.org/packages/source/m/multidict/multidict-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
#BuildRequires:  python3-pytest
BuildRequires:  python3-Cython
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Multidicts are useful for working with HTTP headers, URL query args etc.

The code was extracted from aiohttp library.

%prep
%setup -q -n multidict-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# tests have problems importing the *so file
#%check
#python3 setup.py test

%files
%defattr(-,root,root,-)
%{python3_sitearch}/*
%doc README.rst CHANGES.rst LICENSE

%changelog
* Mon Jan  9 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 2.1.4:
  * Remove LICENSE filename extension @ MANIFEST.in file #31
- changes from version 2.1.3 :
  * Add a fastpath for multidict extending by multidict
* Sun Sep 25 2016 arun@gmx.de
- initial version
